apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: webserver
  name: webserver
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: webserver
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: webserver
    spec:
      containers:
        - image: nginx:latest
          name: webserver
          ports:
            - containerPort: 80
            - containerPort: 443
          resources: {}
          volumeMounts:
            - mountPath: /etc/nginx/conf.d/
              name: webserver-claim0
              readOnly: true
            - mountPath: /var/www/certbot/
              name: webserver-claim1
              readOnly: true
      restartPolicy: Always
      volumes:
        - name: webserver-claim0
          persistentVolumeClaim:
            claimName: webserver-claim0
            readOnly: true
        - name: webserver-claim1
          persistentVolumeClaim:
            claimName: webserver-claim1
            readOnly: true
status: {}
